<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('company_profiles', function (Blueprint $table) {
            $table->id();
            $table->string('company_id');
            $table->string('company_name');
            $table->string('contact_name');
            $table->string('contact_number');
            $table->string('roc');
            $table->string('address1');
            $table->string('address2')->default('');
            $table->string('address3')->default('');
            $table->string('address4')->default('');
            $table->string('state');
            $table->string('postcode');
            $table->string('email')->unique();
            $table->string('geo_location')->default('');
            $table->string('raw_password');
            $table->string('password');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('company_profiles');
    }
};
